%global github_owner     robrichards
%global github_name      xmlseclibs
%global github_version   1.4.0
%global github_commit    402e2f8501e652f063d38717d0f2576e95fa159e
%global github_release   .20150611git%(c=%{github_commit}; echo ${c:0:7})

%global composer_vendor  robrichards
%global composer_project xmlseclibs

# "php": ">= 5.2"
%global php_min_ver 5.2

# Build using "--without tests" to disable tests
%global with_tests   %{?_without_tests:0}%{!?_without_tests:1}

%{!?phpdir:  %global phpdir  %{_datadir}/php}

Name:          php-xmlseclibs
Version:       %{github_version}
Release:       0%{?github_release}%{?dist}
Summary:       PHP library for XML Security

Group:         Development/Libraries
License:       BSD
URL:           https://github.com/%{github_owner}/%{github_name}
Source0:       %{url}/archive/%{github_commit}/%{name}-%{github_version}-%{github_commit}.tar.gz

BuildArch:     noarch
%if %{with_tests}
# For tests
BuildRequires: %{_bindir}/pear
## composer.json
BuildRequires: php(language) >= %{php_min_ver}
## phpcompatinfo (computed from 1.4.0 commit 402e2f8501e652f063d38717d0f2576e95fa159e)
BuildRequires: php-dom
BuildRequires: php-hash
BuildRequires: php-mcrypt
BuildRequires: php-openssl
%endif

# composer.json
Requires:      php(language) >= %{php_min_ver}
# phpcompatinfo (computed from 1.4.0 commit 402e2f8501e652f063d38717d0f2576e95fa159e)
Requires:      php-dom
Requires:      php-hash
Requires:      php-mcrypt
Requires:      php-openssl

# Composer
Provides: php-composer(%{composer_vendor}/%{composer_project}) = %{version}

%description
xmlseclibs is a library written in PHP for working with XML Encryption and
Signatures.


%prep
%setup -qn %{github_name}-%{github_commit}

: Modify backwards compaibility file
mv xmlseclibs.php src/
ln -s src/xmlseclibs.php xmlseclibs.php
sed -e '/\$xmlseclibs_srcdir\s*=/d' \
    -e 's/$xmlseclibs_srcdir\s*./__DIR__ ./' \
    -i src/xmlseclibs.php


%build
# Empty build section, nothing required


%install
mkdir -p %{buildroot}%{phpdir}/%{composer_project}
cp -pr src/* %{buildroot}%{phpdir}/%{composer_project}/


%check
%if %{with_tests}
%{_bindir}/pear run-tests tests | tee tests.log
# PEAR does not set return code
if grep -q "FAILED TESTS" tests.log; then
  for fic in tests/*.diff; do
    cat $fic; echo -e "\n"
  done
  exit 1
fi
%else
: Tests skipped
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
%doc *.txt
%doc composer.json
%{phpdir}/%{composer_project}


%changelog
* Tue Jun 09 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.4.0-0.20150609gitd66628b
- Update to 1.4.0 snapshot
- GitHub source
- Add php-composer(robrichards/xmlseclibs) provide
- Add option to build without tests
- %%license usage
- Spec cleanup

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 F. Kooman <fkooman@tuxed.net> - 1.3.1-1
- update to 1.3.1 addressing all packaging issues

* Tue Jun 18 2013 F. Kooman <fkooman@tuxed.net> - 1.3.0-6
- add more dependencies listed by phpci output

* Tue Jun 18 2013 F. Kooman <fkooman@tuxed.net> - 1.3.0-5
- add mcrypt BuildRequires

* Tue Jun 18 2013 F. Kooman <fkooman@tuxed.net> - 1.3.0-4
- add PEAR dependency to be able to run tests

* Tue Jun 18 2013 F. Kooman <fkooman@tuxed.net> - 1.3.0-3
- updates for package review
- run tests

* Fri Jun 07 2013 F. Kooman <fkooman@tuxed.net> - 1.3.0-2
- add patch to support more signature methods, required by simplesamlphp 1.11.0

* Sat Feb 18 2012 F. Kooman <fkooman@tuxed.net> - 1.3.0-1
- initial package
